Bug 967413 - unzip included non-free license statement
unzip included non-free license statement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-27 00:45 EDT by mejiko
Modified: 2013-06-19 00:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: unzip-6.0-9.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-01 23:02:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-05-27 00:45:10 EDT
Hello.

SRC RPM is : "unzip-6.0-7.fc18.src.rpm"

unzip include non-free license statement.


Files:

unzip60/match.c 

This license is "non-commercial use only", Its non-free.


Suggests:

1. remove non-free code and rebuild.
2. replace fedora free (acceptable licensed) files.
3. remove fedora repos.

Thanks.



Reference:

http://www.mail-archive.com/gnu-linux-libre@nongnu.org/msg01200.html
http://www.connochaetos.org/forum/topic.php?id=1489
Comment 1 mejiko 2013-05-27 00:45:42 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Fedora Update System 2013-05-28 10:42:40 EDT
unzip-6.0-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/unzip-6.0-9.fc19
Comment 3 Fedora Update System 2013-05-28 10:42:51 EDT
unzip-6.0-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/unzip-6.0-9.fc18
Comment 4 Fedora Update System 2013-05-28 20:52:49 EDT
Package unzip-6.0-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unzip-6.0-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9490/unzip-6.0-9.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-01 23:02:28 EDT
unzip-6.0-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-19 00:36:46 EDT
unzip-6.0-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.